Package com.norconex.commons.lang.version

# Class SemanticVersion.SemanticVersionBuilder

java.lang.Object
com.norconex.commons.lang.version.SemanticVersion.SemanticVersionBuilder

Enclosing class:
  `SemanticVersion`

public static class SemanticVersion.SemanticVersionBuilder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SemanticVersion`
  `build()`
  `SemanticVersion.SemanticVersionBuilder`
  `buildMetadata(String buildMetadata)`
  Optional metadata associated with a build.
  `SemanticVersion.SemanticVersionBuilder`
  `major(int major)`
  Major version number.
  `SemanticVersion.SemanticVersionBuilder`
  `minor(int minor)`
  Minor version number.
  `SemanticVersion.SemanticVersionBuilder`
  `patch(int patch)`
  Patch version number.
  `SemanticVersion.SemanticVersionBuilder`
  `preRelease(String preRelease)`
  Optional pre-release indicator (M1, RC1, etc.).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### major

    public SemanticVersion.SemanticVersionBuilder major(int major)
    Major version number. The first number of a semantic version.
    Returns:
      `this`.

  - ### minor

    public SemanticVersion.SemanticVersionBuilder minor(int minor)
    Minor version number. The second number of a semantic version.
    Returns:
      `this`.

  - ### patch

    public SemanticVersion.SemanticVersionBuilder patch(int patch)
    Patch version number. The third number of a semantic version.
    Returns:
      `this`.

  - ### preRelease

    public SemanticVersion.SemanticVersionBuilder preRelease(String preRelease)
    Optional pre-release indicator (M1, RC1, etc.).
    Returns:
      `this`.

  - ### buildMetadata

    public SemanticVersion.SemanticVersionBuilder buildMetadata(String buildMetadata)
    Optional metadata associated with a build.
    Returns:
      `this`.

  - ### build

    public SemanticVersion build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`